Subject: Re: fenugreek: advice needed
From: "Marcie G. Mastracci" <[email-masked]>
Date: Mon, 7 Mar 1994 09:32:38 -0500
Newsgroups: rec.gardens

When Indian recipes call for fenugreek, they almost always mean the
seeds.  They're used as one of the spices in many kinds of curries.
They have a powerful aroma & bitter taste - they are usually used in
limited amounts.  However, I have also seen a couple recipes using
fenugreek leaves in the same way you would use dill, or dandelions, or
other wild greens.  One recipe was for paratha stuffed with fenugreek
leaves.

Marcie